Bug 1809829 - 100% CPU when connected to dock + multi-monitor
Summary: 100% CPU when connected to dock + multi-monitor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-04 00:07 UTC by Kirill Kolyshkin
Modified: 2020-11-24 15:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:12:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Kirill Kolyshkin 2020-03-04 00:07:18 UTC
Description of problem:

From time to time I see gnome-shell is using 100% CPU after I connect my laptop to a docking station (with one monitor). Once it starts doing it, the only workaround I have is to disconnect/connect the dock.

strace on gnome-shell shows lots of ioctl(DRM_IOCTL_I915_GEM_*) on /dev/dri/card0 (fd 9, see output here: https://gitlab.gnome.org/GNOME/gnome-shell/uploads/9561758e97fe97d6a89cf5b3913c0d47/out)

From the libraries linked in to gnome-shell, only libdrm "knows" about /dev/dri:

$ grep -l /dev/dri $(ldd $(which gnome-shell) | awk '{print $3}' | sort | uniq)
/lib64/libdrm.so.2

Version-Release number of selected component (if applicable):

$ rpm -qf $(which gnome-shell)
gnome-shell-3.34.4-1.fc31.x86_64

$ rpm -qf /lib64/libdrm.so.2
libdrm-2.4.100-1.fc31.x86_64

How reproducible:

Always (sometimes you need to wait)

Steps to Reproduce:
1. Install F31 to a ThinkPad T490s laptop
2. Connect an external monitor via Dell TB16 docking station

Actual results:

- Hear the fan, run top, see gnome-shell using 100% CPU. strace gnome-shell shows lots of ioctl(DRM_IOCTL_I915_GEM_*) on /dev/dri/card0.


Expected results:

- No excessive CPU usage

Additional info:

I'm running Gnome on Wayland, it's Fedora 31 with latest updates, HW is a ThinkPad T490s laptop. External monitor is 3840x2160 (scaled to 1.5x). The docking station is Dell TB16.

Comment 1 Kirill Kolyshkin 2020-03-04 00:07:38 UTC
See also:
 - https://gitlab.gnome.org/GNOME/gnome-shell/issues/2181

Comment 2 Ben Cotton 2020-11-03 16:25:29 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 15:12:08 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.